Subject: Re: Windfarm's max6690 sensor driver was not included in makefile

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 24 Nov 2013 08:18:53 +1100

On Fri, 2013-11-22 at 15:09 -0600, Stanislav Ponomarev wrote:
> Hello, I had problems with fan speed in my XServe G5. It turned out
> drivers/macintosh/Makefile has a max6690 module missing from
> compilation list. I was advised to mail the patch to you guys.
> 
> 
> I'm not sure what's the proper format of the patch to be submitten
> (this is my first time). So I'm including it into the message body,
> and as an attached file.

So make sure you send it as plain text in a form that preserves tabs and
space (I don't now if gmail allows that). Also please include a
"Signed-off-by:" line.

Cheers,
Ben.

> diff --git a/drivers/macintosh/Makefile b/drivers/macintosh/Makefile
> index 6753b65..d2f0120 100644
> --- a/drivers/macintosh/Makefile
> +++ b/drivers/macintosh/Makefile
> @@ -40,6 +40,7 @@ obj-$(CONFIG_WINDFARM_RM31)     +=
> windfarm_fcu_controls.o \
>                                    windfarm_ad7417_sensor.o \
>                                    windfarm_lm75_sensor.o \
>                                    windfarm_lm87_sensor.o \
> +                                  windfarm_max6690_sensor.o \
>                                    windfarm_pid.o \
>                                    windfarm_cpufreq_clamp.o \
>                                    windfarm_rm31.o
> 
> 
> 
> Thank you.
> 
> Stanislav Ponomarev.
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev